<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
"-//Hibernate/Hibernate Configuration DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-configuration-3.0.dtd">

<hibernate-configuration>
	<session-factory>
		<!-- Database connection settings -->
		<property name="connection.driver_class">com.mysql.jdbc.Driver</property>
		<property name="connection.url">jdbc:mysql://tran-vmware:3306/simplehr</property>
		<property name="connection.username">root</property>
		<property name="connection.password">1234</property>

		<!-- JDBC connection pool (use the built-in) -->
		<property name="connection.pool_size">1</property>

		<!-- SQL dialect -->
		<property name="dialect">org.hibernate.dialect.MySQLDialect</property>

		<!-- Enable Hibernate's automatic session context management -->
		<property name="current_session_context_class">thread</property>

		<!-- Disable the second-level cache -->
		<property name="cache.provider_class">org.hibernate.cache.internal.NoCacheProvider</property>

		<!-- Echo all executed SQL to stdout -->
		<property name="show_sql">true</property>

		<mapping class="org.o7planning.tutorial.hibernate.entities.Department" />
		<mapping class="org.o7planning.tutorial.hibernate.entities.Employee" />
		<mapping class="org.o7planning.tutorial.hibernate.entities.SalaryGrade" />
		<mapping class="org.o7planning.tutorial.hibernate.entities.Timekeeper" />

	</session-factory>
</hibernate-configuration>